# std::move_sentinel<S>::base

From cppreference.com
< cpp‎ | iterator‎ | move sentinel

constexpr S base() const; |  | (since C++20)

Returns the underlying base sentinel.

### Parameters

(none)

### Return value

The underlying sentinel.

### Exceptions

May throw implementation-defined exceptions.

### Example

| This section is incomplete Reason: no example

### See also

base (C++11) | accesses the underlying iterator (public member function of `std::move_iterator<Iter>`)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/iterator/move_sentinel/base&oldid=123278"